pub mod stats;
pub mod worlds;
use crate::collectors::PromMetric;

fn convert_into_prom_metrics(data: Vec<impl PromMetric>) -> String {
    let metrics: Vec<String> = data
        .into_iter()
        .map(|w| w.to_metric_string())
        .collect();

    metrics.join("\n")
}